Unable to load Projects

2015-02-07 07:45 - Robert Robinson

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

For the past few weeks (ever since a Ruby update) I've been unable to do anything with my Projects. I am still able to view my Home

and Administrative panels, but every time I try to view a Project I get an "Internal Error".

The CLI output (from Redmine launch up to and including the error) is as follows:

/usr/lib/ruby/gems/2.2.0/gems/activesupport-3.2.21/lib/active_support/values/time_zone.rb:270: war

ning: circular argument reference - now

=> Booting WEBrick

=> Rails 3.2.21 application starting in production on http://0.0.0.0:3000

=> Call with -d to detach

=> Ctrl-C to shutdown server

[2015-02-07 01:40:15] INFO  WEBrick 1.3.1

[2015-02-07 01:40:15] INFO  ruby 2.2.0 (2014-12-25) [x86_64-linux]

[2015-02-07 01:40:15] INFO  WEBrick::HTTPServer#start: pid=20177 port=3000

/usr/lib/ruby/gems/2.2.0/gems/activerecord-3.2.21/lib/active_record/associations/has_many_associat

ion.rb:53: warning: circular argument reference - reflection

/usr/lib/ruby/gems/2.2.0/gems/activerecord-3.2.21/lib/active_record/associations/has_many_associat

ion.rb:57: warning: circular argument reference - reflection

/usr/lib/ruby/gems/2.2.0/gems/activerecord-3.2.21/lib/active_record/associations/has_many_associat

ion.rb:61: warning: circular argument reference - reflection

/usr/lib/ruby/gems/2.2.0/gems/activerecord-3.2.21/lib/active_record/associations/has_many_associat

ion.rb:80: warning: circular argument reference - reflection

Started GET "/" for 127.0.0.1 at 2015-02-07 01:40:18 -0500

Processing by WelcomeController#index as HTML

  Current user: robert (id=5)

  Rendered welcome/index.html.erb within layouts/base (62.0ms)

Completed 200 OK in 178.8ms (Views: 103.4ms | ActiveRecord: 19.9ms)

Started GET "/projects/test" for 127.0.0.1 at 2015-02-07 01:40:20 -0500

Processing by ProjectsController#show as HTML

  Parameters: {"id"=>"test"}

  Current user: robert (id=5)

  Rendered projects/_members_box.html.erb (0.4ms)

  Rendered projects/_sidebar.html.erb (1.3ms)

  Rendered projects/show.html.erb within layouts/base (12.2ms)

Completed 500 Internal Server Error in 113.2ms

ActionView::Template::Error (undefined method `name' for nil:NilClass):

    42:     <% end %>

    43: 

    44:     <h1><%= page_header_title %></h1>

    45: 

    46:     <% if display_main_menu?(@project) %>

    47:     <div id="main-menu">

    48:         <%= render_main_menu(@project) %>

  lib/redmine.rb:246:in `block (2 levels) in <top (required)>'

  lib/redmine/menu_manager.rb:199:in `call'

  lib/redmine/menu_manager.rb:199:in `allowed_node?'

  lib/redmine/menu_manager.rb:166:in `block in menu_items_for'

  lib/redmine/menu_manager.rb:165:in `each'

  lib/redmine/menu_manager.rb:165:in `menu_items_for'
  lib/redmine/menu_manager.rb:90:in `render_menu'

  lib/redmine/menu_manager.rb:80:in `render_main_menu'

  app/views/layouts/base.html.erb:45:in `_app_views_layouts_base_html_erb__3144639456856195886_699

43781430900'

  app/controllers/projects_controller.rb:163:in `show'

 I launch it using this desktop shortcut:

#!/bin/bash

cd /usr/share/webapps/redmine

sudo ruby script/rails server webrick -e production

 I am running Arch Linux (up-to-date) and followed the ArchWiki instructions for a single-user, non-RVM installation. It has worked fine

for nearly 6 months now, up until 2-3 weeks ago when Ruby updated. Since then I haven't been able to use the glory that is

Redmine.

I am not a Ruby guy, else I would be more helpful.

Related issues:

Related to Redmine - Defect #18936: ActionView::Template::Error (undefined me... Closed

History

#1 - 2015-02-07 08:05 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Invalid

Ruby 2.2 isn't supported in Redmine 2.x.

#2 - 2015-02-07 08:07 - Go MAEDA

Please use Ruby 2.1.

Ruby 2.2 will be supported in Redmine 3.0.

#3 - 2015-02-07 08:15 - Robert Robinson

Go MAEDA wrote:

Please use Ruby 2.1.

Ruby 2.2 will be supported in Redmine 3.0.

 I see that Redmine 3.0 is very near completion percentage-wise. This makes me debate taking the easy way out and just waiting.

While I understand that this is a community project so timelines are not commonplace, I wonder what a rough ETA would be just to aid in my

decision-making process. A few weeks? A few months?

#4 - 2015-02-07 09:26 - Toshi MARUYAMA

Robert Robinson wrote:

Go MAEDA wrote:

Please use Ruby 2.1.

Ruby 2.2 will be supported in Redmine 3.0.

 I see that Redmine 3.0 is very near completion percentage-wise. This makes me debate taking the easy way out and just waiting.

While I understand that this is a community project so timelines are not commonplace, I wonder what a rough ETA would be just to aid in my

decision-making process. A few weeks? A few months?

 Please ask at #14534.

#5 - 2015-04-02 15:34 - Toshi MARUYAMA

- Related to Defect #18936: ActionView::Template::Error (undefined method `name' for nil:NilClass) rendering issue pages after upgrade to 2.6.1

stable added
